routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('index');
});

Auth::routes(['verify' => true]);

Route::get('/home', 'HomeController@index')->name('home');

Route::post('admin/login', 'Admin\AdminController@login');
Route::group(['middleware' => ['auth:admin,admin_tutor']], function(){
    Route::post('admin/logout', 'Admin\AdminController@logout');
    Route::get('materi/get/{type}/{name}/{ext}', 'Admin\MateriController@get');
    Route::get('admin/materi/generate-thumbnail', 'Admin\MateriController@generateThumbs');
    Route::resource('admin/materi', 'Admin\MateriController');
    Route::resource('admin/kategori', 'Admin\KategoriController');
    Route::resource('admin/sekolah', 'Admin\SekolahController');
    Route::resource('admin/guru', 'Admin\GuruController');
    Route::resource('admin/soal', 'Admin\SoalController');
    Route::get('admin/user/resetpass/{id}', 'Admin\UserController@resetpass')->name('user-resetpass');
    Route::post('admin/user/add/single', 'Admin\UserController@single')->name('user-single');
    Route::post('admin/user/add/bulk', 'Admin\UserController@bulk')->name('user-bulk');
    Route::get('admin/user/add/bulk', function (){
        return response()->download(storage_path('app/public/template.xls'));
    })->name('user-bulk-template');
    Route::resource('admin/user', 'Admin\UserController');
    Route::resource('admin/tutor', 'Admin\TutorController');
    Route::resource('admin/payment', 'Admin\PaymentController');
    Route::post('admin/subscription/add/bulk', 'Admin\SubscriptionController@bulk')->name('subscription-bulk');
    Route::resource('admin/subscription', 'Admin\SubscriptionController');
    Route::resource('admin/news', 'Admin\NewsController');
    Route::resource('admin/settings', 'Admin\ServerSettingsController');
    Route::resource('admin/lembaga', 'Admin\LembagaController');
    Route::post('admin/nilai/delcid', 'Admin\ScoreController@deleteScoreCID')->name('delete-score-cid');
    Route::post('admin/nilai/massscoredelete', 'Admin\ScoreController@massScoreDelete')->name('mass-score-delete');
    Route::get('admin/nilai/hapuslaporan', 'Admin\ScoreController@massScoreDeleteView');
    Route::resource('admin/nilai', 'Admin\ScoreController');
    Route::resource('admin', 'Admin\AdminController');
});

app/Tutor.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Tutor extends Model
{
    //
}

app/Http/Controllers/API/TutorController.php
<?php

namespace App\Http\Controllers\API;

use App\Tutor;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class TutorController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        return response()->json([
            'status' => 1,
            'tutor' => Tutor::all()
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Admin/TutorController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Tutor;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class TutorController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $tutor = Tutor::all();
        return view("admin.tutor.index")->with([
            'tutors' => $tutor
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view("admin.tutor.create");
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $tutor = new Tutor();
        $tutor->nama = $request->nama;
        $tutor->nohp = $request->nohp;
        $saved = $tutor->save();
        if ($saved){
            return redirect()->back()->with('success', 'Tutor: <b>' . $request->nama .'</b> berhasil ditambahkan');
        }
        else {
            return redirect()->back()->with('error', 'Gagal menambahkan tutor');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $tutor = Tutor::find($id);
        $tutor->nama = $request->nama;
        $tutor->nohp = $request->nohp;
        $saved = $tutor->save();
        if ($saved){
            return redirect()->back()->with('success', 'Tutor: <b>' . $request->nama .'</b> berhasil diubah');
        }
        else {
            return redirect()->back()->with('error', 'Gagal menambahkan tutor');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/admin/tutor/create.blade.php
@extends('adminlte::page')

@section('title', 'Tutor')

@section('content_header')

@endsection

@section('content')
    @if (($message = Session::get('success')) || ($message = Session::get('error')))
        <div class="alert alert-{{ Session::get('success') ? 'success' : 'danger'}} alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            {!! $message !!}
        </div>
    @endif
    <div class="box box-primary">
        <div class="box-header with-border">
            <h3 class="box-title">Tambah Tutor</h3>
        </div>
        <!-- /.box-header -->
        <!-- form start -->
        <form role="form" action="{{ route('tutor.store') }}" method="post">
            @csrf
            <div class="box-body">
                <div class="form-group">
                    <label for="nama">Nama Tutor</label>
                    <input type="text" class="form-control" id="nama" placeholder="Masukkan nama tutor" name="nama" autocomplete="off" style="background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR4nGP6zwAAAgcBApocMXEAAAAASUVORK5CYII='); cursor: auto;">
                </div>
                <div class="form-group">
                    <label for="nohp">No HP Tutor</label>
                    <input type="number" class="form-control" id="nohp" placeholder="Masukkan no hp tutor" name="nohp" autocomplete="off" style="background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR4nGP6zwAAAgcBApocMXEAAAAASUVORK5CYII='); cursor: auto;">
                </div>
            </div>
            <!-- /.box-body -->

            <div class="box-footer">
                <button type="submit" class="btn btn-primary">TAMBAH</button>
            </div>
        </form>
    </div>
@endsection

resources/views/admin/tutor/edit.blade.php
@extends('adminlte::page')

@section('title', 'Tutor')

@section('content_header')

@endsection

@section('content')

@endsection

resources/views/admin/tutor/index.blade.php
@extends('adminlte::page')

@section('title', 'Tutor')

@section('content_header')
    <h1>Daftar Tutor</h1>
    @if (($message = Session::get('success')) || ($message = Session::get('error')))
        <div class="alert alert-{{ Session::get('success') ? 'success' : 'danger'}} alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            {!! $message !!}
        </div>
    @endif
@endsection

@section('content')
    @php($start = 0)
    <div class="row">
        <div class="col-md-12">
            <div class="box">
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <table id="tutor" class="table table-bordered table-striped">
                                <thead>
                                <tr>
                                    <th style="width: 1%">No.</th>
                                    <th>Nama Tutor</th>
                                    <th>No. HP</th>
                                    <th style="width: 10%">Aksi</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($tutors as $tutor)
                                    <tr>
                                        <td>{{ ++$start }}.</td>
                                        <td>{{ $tutor->nama }}</td>
                                        <td>{{ $tutor->nohp }}</td>
                                        <td><button type="button" class="btn btn-primary btn-sm" data-toggle="modal"
                                                    data-target="#aksi-{{ $tutor->id }}">UBAH
                                            </button></td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @foreach($tutors as $tutor)
        <div class="modal fade" id="aksi-{{ $tutor->id }}" style="display: none;">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form action="{{ route('tutor.update', $tutor->id) }}" method="POST">
                        @method('PATCH')
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"
                                    aria-label="Close">
                                <span aria-hidden="true">×</span></button>
                            <h4 class="modal-title">Edit Tutor: {{ $tutor->nama }}</h4>
                        </div>
                        <div class="modal-body">
                            @csrf
                            <div class="box-body">
                                <div class="form-group">
                                    <label for="nama">Nama Tutor</label>
                                    <input type="text" class="form-control" id="nama" placeholder="Masukkan nama tutor" name="nama" autocomplete="off" style="background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR4nGP6zwAAAgcBApocMXEAAAAASUVORK5CYII='); cursor: auto;" value="{{ $tutor->nama }}">
                                </div>
                                <div class="form-group">
                                    <label for="nohp">No HP Tutor</label>
                                    <input type="number" class="form-control" id="nohp" placeholder="Masukkan no hp tutor" name="nohp" autocomplete="off" style="background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR4nGP6zwAAAgcBApocMXEAAAAASUVORK5CYII='); cursor: auto;"value="{{ $tutor->nohp }}">
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default"
                                    data-dismiss="modal">Batal
                            </button>
                            <button type="submit" class="btn btn-primary">Simpan</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    @endforeach
@endsection

@section('js')
    <script>
        $(function () {
            $("#tutor").DataTable();
        });
    </script>
@stop

resources/views/admin/tutor/show.blade.php
@extends('adminlte::page')

@section('title', 'Tutor')

@section('content_header')

@endsection

@section('content')

@endsection